﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GazeRay : MonoBehaviour
{
    public float offset;
    public Transform gazePointerPrefab;
    private Transform gazePointer;
    private LineRenderer _lineRenderer;
    // Start is called before the first frame update
    void Start()
    {
        gazePointer = Instantiate(gazePointerPrefab);
        gazePointer.gameObject.SetActive(false);
        _lineRenderer = GetComponent<LineRenderer>();
        _lineRenderer.positionCount = 0;
    }

    // Update is called once per frame
    void Update()
    {
//        int layerMask = 1 << 8;
        // This would cast rays only against colliders in layer 8.
        // But instead we want to collide against everything except layer 8. The ~ operator does this, it inverts a bitmask.
        //layerMask = ~layerMask;

        RaycastHit hit;
        // Does the ray intersect any objects excluding the player layer
        if (Physics.Raycast(transform.position, transform.forward, out hit, 50f))
        {
            gazePointer.gameObject.SetActive(true);
            gazePointer.position = hit.point + hit.normal.normalized * offset;
            _lineRenderer.positionCount = 2;
            _lineRenderer.SetPosition(0, transform.position);
            _lineRenderer.SetPosition(1, hit.point);
        }
        else
        {
            gazePointer.gameObject.SetActive(false);
            _lineRenderer.positionCount = 0;
        }
    }
}
